Std ViewIsometric: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
m (Add {{StdMenu}})
(7 intermediate revisions by 2 users not shown)
Line 4: Line 4:
{{GuiCommand
{{GuiCommand
|Name=Std ViewIsometric
|Name=Std ViewIsometric
|MenuLocation=[[Std View Menu|View]] → Standard views → Axonometric → Isometric
|MenuLocation={{StdMenu|[[Std View Menu|View]]}} → Standard views → Axonometric → Isometric
|Workbenches=All
|Workbenches=All
|Shortcut=0
|Shortcut=0
|SeeAlso=[[Std_OrthographicCamera|Orthographic camera]]
|SeeAlso=[[Std_OrthographicCamera|Orthographic camera]], [[Std_ViewDimetric|ViewDimetric]], [[Std_ViewTrimetric|ViewTrimetric]]
}}
}}


Line 13: Line 13:


<!--T:3-->
<!--T:3-->
Puts the camera in the [[3D view|3D view]] in axonometric isometric view, with a view direction {{incode|[-0.5773, 0.5773, -0.5773]}}.
[[Std ViewIsometric|Std ViewIsometric]] command puts the camera in the [[3D view|3D view]] in [https://en.wikipedia.org/wiki/Isometric_projection axonometric isometric] projection, with a view direction {{incode|[-0.5773, 0.5773, -0.5773]}}.


</translate>
</translate>
Line 21: Line 21:
{{Caption|The isometric view looks slightly to the left (negative X), slightly to the back (positive Y), and slightly down (negative Z).}}
{{Caption|The isometric view looks slightly to the left (negative X), slightly to the back (positive Y), and slightly down (negative Z).}}


==How to use== <!--T:5-->
==Usage== <!--T:5-->


<!--T:6-->
<!--T:6-->
* Go to the menu {{MenuCommand|View → Standard views → Axonometric → [[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}}.
* Go to the menu {{MenuCommand|{{StdMenu|[[Std View Menu|View]]}} → Standard views → Axonometric → [[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}}.
* Or press the {{Button|[[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}} button.
* Or press the {{Button|[[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}} button.
* Or press {{KEY|0}} in the numerical pad of the keyboard.
* Or press {{KEY|0}} in the numerical pad of the keyboard.
Line 31: Line 31:


<!--T:8-->
<!--T:8-->
The isometric view can be set from the [[Python|Python]] console.
The isometric view can be set from the [[Python console|Python console]].


<!--T:9-->
<!--T:9-->
Line 38: Line 38:
</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
App.Gui.ActiveDocument.ActiveView.viewIsometric()

import FreeCADGui as Gui
import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()
Gui.ActiveDocument.ActiveView.viewIsometric()

Gui.ActiveDocument.ActiveView.getViewDirection()
}}
}}
<translate>
<translate>


<!--T:10-->
<!--T:10-->
{{Std Base}}
{{Std Base navi}}
{{Userdocnavi}}
{{Userdocnavi}}
</translate>
</translate>

Revision as of 03:38, 19 February 2020

Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Orthographic camera, ViewDimetric, ViewTrimetric

Description

Std ViewIsometric command puts the camera in the 3D view in axonometric isometric projection, with a view direction [-0.5773, 0.5773, -0.5773].

The isometric view looks slightly to the left (negative X), slightly to the back (positive Y), and slightly down (negative Z).

Usage

  • Go to the menu View → Standard views → Axonometric → Isometric.
  • Or press the Isometric button.
  • Or press 0 in the numerical pad of the keyboard.

Scripting

The isometric view can be set from the Python console.

It is a method of the ActiveView of the ActiveDocument. The ActiveView only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.

import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()

Gui.ActiveDocument.ActiveView.getViewDirection()